#include <dos.h>
#include <stdio.h>
#include "sysp.h"

void main(void);

void main(void)
{
	 CVT far *cvt;
	 MCB far *mcb;

	 printf("\nБлоки управления памятью (MCB)"
			  "\nCopyright (C)Frolov A., 1990\n"
			  "\nАдрес MCB Тип Владелец Размер"
			  "\n--------- --- -------- ------"
			  "\n");
	 cvt=get_mcvt();
	 mcb=get_fmcb(cvt);
	 for(;;) {

		if(mcb == (MCB far *)0) break;
		printf("%Fp %c   %04X     %04X\n",
			mcb,
			mcb->type,
			mcb->owner,
			mcb->size);
		mcb=get_nmcb(mcb);

	 }
	 exit(0);
}
